# Administration Reference

## bos start

Purpose

Starts a process after setting its status flag in the /usr/afs/local/BosConfig file

Synopsis

    bos start -server <machine name>  -instance <server process name>+
              [-cell <cell name>]  [-noauth]  [-localauth]  [-help]

    bos start -s <machine name>  -i <server process name>+
              [-c <cell name>]  [-n]  [-l]  [-h]

Description

The bos start command sets the status flag for each process specified by the -instance argument to `Run` in the /usr/afs/local/BosConfig file and in the BOS Server's memory on the server machine named by the -server argument, then starts it. If the process is already running, the command's only effect is to guarantee that the status flag is `Run`; it does not restart the process.

To start a process without changing its status flag in the BosConfig file, use the bos startup command instead.

Options

-server
  Indicates the server machine on which to start processes. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see the introductory reference page for the bos command suite.

-instance
  Names each process to start. Use the process name assigned with the -instance argument to the bos create command. The output from the bos status command lists the names.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory bos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory bos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see the introductory bos reference page.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following command changes the status flag for the upclientbin and upclientetc processes to `Run` in the BosConfig file on the machine fs6.abc.com and starts them running.

       % bos start -server fs6.abc.com -instance upclientbin upclientetc

Privilege Required

The issuer must be listed in the /usr/afs/etc/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser root if the -localauth flag is included.

Related Information

BosConfig

KeyFile

UserList

bos

bos create

bos startup

bos status

© IBM Corporation 2000. All Rights Reserved